Page MenuHomePhabricator

Name missing: French Guiana
Closed, ResolvedPublic

Description

For some reason, Guyana and French Guiana names aren't shown on the map.
(update: Guyana name had been removed on OSM, see comment below T181805#4639204)

Links:

Screens:
Guyana:

French Guiana:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 1 2017, 1:55 PM
Gehel added a subscriber: Pnorman.Dec 1 2017, 2:20 PM
Gehel added a subscriber: Gehel.Dec 1 2017, 2:29 PM

This looks like an issue with our current cartography. As we are working on a new cartography, I'm not sure it make sense to try to fix the current one. I could be completely wrong on that, @Pnorman knows best!

Mattflaschen-WMF renamed this task from Country names missing: Guyana and French Guiana to Names missing: Guyana and French Guiana.Jan 31 2018, 10:41 PM

Guyana is a sovereign state (country), but French Guiana is part of France.

Acoiman added a subscriber: Acoiman.May 5 2018, 8:29 PM

The screenshots above highlights an area that is claimed by Venezuela, see: https://simple.wikipedia.org/wiki/Guayana_Esequiba

I recommend you to take into account this document to label the new cartography.

This is a bug, but we're not clear on if it's a data issue, a style issue, or what the style issue is, so it needs more triage.

Pnorman triaged this task as Normal priority.Jul 10 2018, 4:31 PM
Pnorman edited projects, added Maps (Maps-data); removed Maps (Kartotherian).

This is most likely a data issue, so tagging it accordingly. It still needs investigation.

Mholloway added a subscriber: Mholloway.EditedSep 24 2018, 10:25 AM

With respect to French Guiana, @Mattflaschen-WMF is correct about why the name isn't displayed. French Guiana (https://www.openstreetmap.org/node/313753808) is considered in OSM to be a "state" as it's an overseas department of France, and "state" names aren't displayed at all in osm-bright, the current Wikimedia map style. (Similarly, for example, U.S. state and Canadian province names are also not displayed on https://maps.wikimedia.org at any zoom level).

I still need to figure out what's going on with Guyana.

I should also note that this will be automatically resolved if and when we ever deploy the brighmed style.

http://legolas.paulnorman.ca:6789/brighmed/#7/4.741/-55.206

This issue doesn't appear to be unique to our tile server. This unrelated tile server showcasing osm-bright also never displays Guyana's name:

https://openmaptiles.github.io/osm-bright-gl-style/#4.42/5.571/-53.278

Pikne added a subscriber: Pikne.Oct 3 2018, 5:33 PM

This issue doesn't appear to be unique to our tile server. This unrelated tile server showcasing osm-bright also never displays Guyana's name:

https://openmaptiles.github.io/osm-bright-gl-style/#4.42/5.571/-53.278

Someone had deleted Guyana's label node, see OSM history browser. Now that I restored the node it displays again for zoom levels/languages that have been updated, e.g. for French Wikipedia example above.

The_RedBurn renamed this task from Names missing: Guyana and French Guiana to Name missing: French Guiana.Oct 4 2018, 1:04 PM
The_RedBurn updated the task description. (Show Details)
Pikne closed this task as Resolved.Nov 17 2018, 10:52 AM

Guyana label displays now and French Guiana label is not supposed to display per T181805#4610263. So it seems that in its current form this task can be closed.